Uploaded image for project: 'Moodle Community Sites'
  1. Moodle Community Sites
  2. MDLSITE-5153

Run tests for all DBs once 3.4 starts requiring php70 (nightlies)

    XMLWordPrintable

Details

    • Task
    • Status: Closed
    • Low
    • Resolution: Fixed
    • Integration
    • None

    Description

      Have changed the title of this issue to expand its goals:

      These 2 chains of unit tests have been detected @ nightly servers:

      The idea is to:

      1) make the current 56/70 one 100% PHP70.
      2) ensure the current 71 one is 100% PHP71.
      3) have all the possible DB drivers covered there.

      all them using current available stuff, rajesh images, dan images.. whatever. will put details while advancing.


      Original description, restricted to oracle, for the records:

      Our current Oracle runs are on PHP 5.6
      We're talking about bumping the requirements for master to PHP7.0 so we need to ensure that we can actually test it properly there.

      Master currently runs natively on masters, whilst stables run in docker images.

      Need to decide how we handle this, confirm if we have changes to make, etc.

      Attachments

        Issue Links

          Activity

            People

              dobedobedoh Andrew Lyons
              dobedobedoh Andrew Lyons
              Eloy Lafuente (stronk7)
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: